class AR::Events::ActorTurnEvent < AR::Events::Event
  attr_participant :actor

  def initialize params
    super params
  end 


  def resolve!
    r_results = super 
    unless actor.last_action_this_tick.class == AR::Game::WaitAction
      engine.trigger_after_step AR::Events::ActorTurnEvent, {actor: self.actor} 
    else
      #restore ap as it's end of turn...
    end
    r_results
  end 

end
